Package com.independentsoft.office.vml

# Enum Class ExtrusionRenderingType

java.lang.Object
java.lang.Enum<ExtrusionRenderingType>
com.independentsoft.office.vml.ExtrusionRenderingType

All Implemented Interfaces:
  `Serializable`, `Comparable<ExtrusionRenderingType>`, `Constable`

public enum ExtrusionRenderingType extends Enum<ExtrusionRenderingType>
The Enum ExtrusionRenderingType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOUNDING_CUBE`
  `NONE`
  `SOLID`
  `WIRE_FRAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExtrusionRenderingType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ExtrusionRenderingType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOUNDING_CUBE

    public static final ExtrusionRenderingType BOUNDING_CUBE

  - ### SOLID

    public static final ExtrusionRenderingType SOLID

  - ### WIRE_FRAME

    public static final ExtrusionRenderingType WIRE_FRAME

  - ### NONE

    public static final ExtrusionRenderingType NONE

- ## Method Details

  - ### values

    public static ExtrusionRenderingType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ExtrusionRenderingType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null